<h1
  mat-dialog-title
  class="headline">
  {{data.title ?? 'An action is needed!'}}
</h1>
<mat-dialog-content class="mat-typography">
  <p>{{data.message ?? 'What do you wanna do?'}}</p>
</mat-dialog-content>
<mat-divider></mat-divider>
<div class="button-container">
  <button
    mat-stroked-button
    [mat-dialog-close]="undefined">
    {{data.cancel ?? 'cancel'}}
  </button>
  <button
    mat-stroked-button
    [mat-dialog-close]="true">
    {{data.confirm ?? 'confirm'}}
  </button>
</div>
